﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Diagnostics;

namespace _4.CompareLineByLine          //< 0.5 sec ;  <20MB ;  line numbers <= int
{
    class CompareLineByLine
    {
        static void Main()
        {
            StreamReader reader1 = new StreamReader("..\\..\\test01text01.txt");
            string text1 = reader1.ReadLine();

            StreamReader reader2 = new StreamReader("..\\..\\test01text02.txt");
            string text2 = reader2.ReadLine();

            int equalLines = 0;
            int differentLines = 0;
            
            using (reader1)
            using (reader2)
            {
                while (text1 != null)
                {
                    if (text1.Equals(text2))
                    {
                        equalLines++;
                    }
                    else
                    {
                        differentLines++;
                    }
                    text1 = reader1.ReadLine();
                    text2 = reader2.ReadLine();
                }
            }
            Console.WriteLine(equalLines);     //test1 - 3, 2 ; test2 - 106481, 0
            Console.WriteLine(differentLines);
        }
    }
}
