﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using System.IO;

namespace _08_ReplaceWords
{
    class ReplaceWords
    {
        static void Main(string[] args)
        {
            string oldString = "start";
            string inputText = string.Empty;
            using (StreamReader reader = new StreamReader("..//..//test01.txt"))
            {
                inputText = reader.ReadToEnd();
            }
            int correction = 0;
            Match wordMatch = Regex.Match(inputText, @"(?<word>\w+)", RegexOptions.IgnoreCase);
            while (wordMatch.Success)
            {
                if (oldString.Equals(wordMatch.Groups["word"].Value))
                {
                    inputText = inputText.Remove(wordMatch.Index + correction, "start".Length);
                    inputText = inputText.Insert(wordMatch.Index + correction, "finish");
                    correction++;

                }
                wordMatch = wordMatch.NextMatch();
            }
            using (StreamWriter writer = new StreamWriter("..//..//test01.out"))
            {
                writer.Write(inputText);
                writer.Flush();
            }
        }
    }
}