﻿using System;
using System.IO;
using System.Text;

class ConcatenateTwoTextFiles
{
    /// <summary>
    /// Write a program that concatenates two text files into another text file.
    /// </summary>

    static void Main(string[] args)
    {
        // Getting Cyrillic encoding 
        System.Text.Encoding encoding = System.Text.Encoding.GetEncoding(1251);

        // Create two readers with the Cyrillic encoding
        StreamReader firstStreamReader = new StreamReader(
            "../../Files/test.001.in.1.txt", encoding);
        StreamReader secondStreamReader = new StreamReader(
            "../../Files/test.001.in.2.txt", encoding);
             
        StringBuilder firstText = new StringBuilder();
        using (firstStreamReader)
        {
            firstText.Append(firstStreamReader.ReadToEnd());
            //Console.WriteLine(firstText);
        }
             
        StringBuilder secondText = new StringBuilder();
        using (firstStreamReader)
        {
            secondText.Append(secondStreamReader.ReadToEnd());
            //Console.WriteLine(secondText);
        }

        // Create a writer with the Cyrillic encoding
        StreamWriter streamWriter = new StreamWriter(
            "../../Files/test.001.out.txt", false, encoding);

        using (streamWriter)
        {
            streamWriter.WriteLine(firstText);
            streamWriter.WriteLine(secondText);
        }
    }
}
