﻿using System;
using System.Linq;
using System.Xml;
using System.IO;
using System.Net;

class SimpleXmlTagRemover
{
    static void Main(string[] args)
    {
        try
        {
            string filePath = "../../Files/test.001.in.xml";

            // Create XML Reader
            XmlTextReader xmlReader = new XmlTextReader(filePath);

            // We check the whole file and
            // whenever we have text without tags we write it in the console
            while (xmlReader.Read())
            {
                switch (xmlReader.NodeType)
                {
                    case XmlNodeType.Text:
                        Console.WriteLine("{0}", xmlReader.Value);
                        break;
                }
            }
        }
        // Catch all possible exceptions
        catch (IOException ex)
        {
            Console.WriteLine(ex.Message);
        }
        catch (WebException ex)
        {
            Console.WriteLine(ex.Message);
        }
        catch (UriFormatException ex)
        {
            Console.WriteLine(ex.Message);
        }
        catch (FormatException ex)
        {
            Console.WriteLine(ex.Message);
        }
        catch (ArgumentException ex)
        {
            Console.WriteLine(ex.Message);
        }
        catch (XmlException ex)
        {
            Console.WriteLine(ex.Message);
        }
    }
}

