﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace _5.MaxPlatformInMatrix
{
    class MaxPlatformInMatrix
    {
        static void Main()
        {
            //Stopwatch sw = new Stopwatch();                       //Max working time : 0.02 sec 
            //sw.Start();       

            StreamReader reader = new StreamReader("..//..//test10.txt");
            using (reader)
            {
                string line = reader.ReadLine();
                int size = int.Parse(line);                             //2 <= size <= 100
                long[,] matrix = new long[size,size];
                line = reader.ReadLine();
                while (line != null)
                {
                    string[] numbers;                   
                    for (int row = 0; row < size; row++) 
                    {
                        numbers = line.Split(' ');
                        for (int col = 0; col < size; col++)
                        {
                            matrix[row, col] = long.Parse(numbers[col]);        // -2305843009213693952 <= number <= 2305843009213693951
                        }
                        line = reader.ReadLine();
                    }
                }
                long bestSum = long.MinValue;
                for (int row = 0; row < matrix.GetLength(0) - 1; row++)
                {
                    for (int col = 0; col < matrix.GetLength(1) - 1; col++)
                    {
                        long sum = matrix[row, col] + matrix[row, col + 1] +
                            matrix[row + 1, col] + matrix[row + 1, col + 1];
                        if (sum > bestSum)
                        {
                            bestSum = sum;
                        }
                    }
                }
                StreamWriter result = new StreamWriter("..//..//test10.out");
                using (result)
                {
                    result.WriteLine(bestSum.ToString());
                }
                //sw.Stop();
                //Console.WriteLine(sw.Elapsed);
            }
        }
    }
}
